nxt.db

## Class DbIterator<T>

- java.lang.Object
- - nxt.db.DbIterator<T>

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.lang.Iterable<T>, java.util.Iterator<T>

      public final class DbIterator<T>
      extends java.lang.Object
      implements java.util.Iterator<T>, java.lang.Iterable<T>, java.lang.AutoCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DbIterator.ResultSetReader<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbIterator(java.sql.Connection con, java.sql.PreparedStatement pstmt, DbIterator.ResultSetReader<T> rsReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `java.util.Iterator<T>` | `iterator()`
    `T` | `next()`
    `void` | `remove()`
    `java.util.stream.Stream<T>` | `stream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DbIterator

          public DbIterator(java.sql.Connection con,
                            java.sql.PreparedStatement pstmt,
                            DbIterator.ResultSetReader<T> rsReader)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### iterator

          public java.util.Iterator<T> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<T>`

    - #### stream

          public java.util.stream.Stream<T> stream()